From e64e1833c7929247c6e20dab8392b2dda032c1a0 Mon Sep 17 00:00:00 2001
From: joseph <joseph@X6>
Date: Sun, 13 Feb 2022 16:44:54 +0000
Subject: [PATCH] Update README.md

---
 Install.tar.gz | Bin 0 -> 340 bytes
 README.md      |   4 ++++
 clipboard.sh   |  21 +++++++++++++++++++++
 3 files changed, 25 insertions(+)
 create mode 100644 Install.tar.gz
 create mode 100755 clipboard.sh

diff --git a/Install.tar.gz b/Install.tar.gz
new file mode 100644
index 0000000000000000000000000000000000000000..8f553543b7dd8ab5c729fc6bc5e1be96232eee11
GIT binary patch
literal 340
zcmV-a0jvHWiwFS2GYMh<1MQYUPs1P-$9L|h!01V1fl}JU#FM98{Q?UsIO^I$fNnea
z*?q>X+Y;yEvbq@iJMe(E@ZS69pLE>#AgT(FdV~;?bB-X=oRi(yfoPhLB%w*3GDIk2
zgpCmIGpP+N)bAjbSL2n{hu=H)d|gKu{|Mu?{!*2nv)F%A<Y_=ZvNS!cKc(45f0j`S
z`tywBBSg-f$XEPx{jaa^v~2KHcpX6_W-3f%=^o#3T$w^t*lXbwo_pmMWuZLB-Yr~f
zD<fp&YIOhnf^N3oUAmfqpR)0Pf9^l-e@<BEf6mhn|1**f{{Icm>;I^p!??Fo$lWE5
zmM}v)1nVC#c48UN%Anh63pW&|391QkVQT!OjkU_bpFqBI<wTmwYRI=1Fl_f@sr)<`
m+tcaLn?lz{qPx{zF}IOgmEqD74h#$ooWwh<1RxUt4gdhSm#?k>

literal 0
HcmV?d00001

diff --git a/README.md b/README.md
index a227c3b..f03674b 100644
--- a/README.md
+++ b/README.md
@@ -46,6 +46,10 @@ Edit the variables such that they contain the info for your server (and domain i
 
 I have briefly described the meaning of each variable in the comments above them.
 
+## Known issues
+
+* Issues to do with files with spaces in their names.
+
 ## Info
 
 Thanks to [Jamesjon](https://www.pling.com/u/jamesjon/) for his many many Dolphin Service Menus I could follow through to learn how to write this one. for his many many scripts I could follow through to learn how to write this one.
diff --git a/clipboard.sh b/clipboard.sh
new file mode 100755
index 0000000..2bdab3a
--- /dev/null
+++ b/clipboard.sh
@@ -0,0 +1,21 @@
+#!/bin/bash  
+# Access your KDE 4 klipper on the command line
+# usage:
+#  ./clipboard
+#    will output current contents of klipper
+#  echo "foobar" | ./clipboard
+#    will put "foobar" into your clipboard/klipper
+
+# check for stdin
+if ! tty -s && stdin=$(</dev/stdin) && [[ "$stdin" ]]; then
+	# get the rest of stdin
+	stdin=$stdin$'\n'$(cat)
+	# oh, nice - user input! we set that as current
+	# clipboard content
+	qdbus org.kde.klipper /klipper setClipboardContents "$stdin"
+	exit
+fi
+
+# if we reach this point no user input was given and we
+# print out the current contents of the clipboard
+qdbus org.kde.klipper /klipper getClipboardContents
\ No newline at end of file
-- 
GitLab